<?xml version="1.0" encoding="UTF-8"?>
<service id="message-service" 
    class="flex.messaging.services.MessageService" 
    messageTypes="flex.messaging.messages.AsyncMessage">

    <adapters>
        <adapter-definition id="actionscript" class="flex.messaging.services.messaging.adapters.ActionScriptAdapter" default="true" />
        <adapter-definition id="jms" class="flex.messaging.services.messaging.adapters.JMSAdapter"/>
    </adapters>

    <!-- These destinations support the Chat and Restaurant
      applications for Flex 3: Data and Communications  -->
      
    <destination id="restaurantDestination">
      <channels>
        <channel ref="my-rtmp"/>
      </channels>
    </destination>

    <destination id="chatDestination">
      <channels>
        <channel ref="my-rtmp"/>
      </channels>
    </destination>

    <destination id="photoDestination">
      <channels>
        <channel ref="my-rtmp"/>
      </channels>
    </destination>

</service>
